--- /usr/share/perl5/PVE/QemuServer/Cloudinit.pm	2021-04-27 23:12:39.715629248 +0300
+++ /usr/share/perl5/PVE/QemuServer/Cloudinit.pm_orig	2021-04-27 23:07:33.342506211 +0300
@@ -165,11 +165,11 @@
     my ($searchdomains, $nameservers) = get_dns_conf($conf);
     if ($nameservers && @$nameservers) {
 	$nameservers = join(' ', @$nameservers);
-	$content .= "        dns-nameservers $nameservers\n";
+	$content .= "        dns_nameservers $nameservers\n";
     }
     if ($searchdomains && @$searchdomains) {
 	$searchdomains = join(' ', @$searchdomains);
-	$content .= "        dns-search $searchdomains\n";
+	$content .= "        dns_search $searchdomains\n";
     }
 
     my @ifaces = grep { /^net(\d+)$/ } keys %$conf;
@@ -189,7 +189,6 @@
 		$content .= "        address $addr\n";
 		$content .= "        netmask $mask\n";
 		$content .= "        gateway $net->{gw}\n" if $net->{gw};
-                $content .= "        dns-nameservers $nameservers\n";
 	    }
 	}
 	if ($net->{ip6}) {
@@ -209,21 +208,17 @@
 }
 
 sub configdrive2_gen_metadata {
-    my ($user, $network, $conf, $vmid) = @_;
+    my ($user, $network) = @_;
 
     my $uuid_str = Digest::SHA::sha1_hex($user.$network);
-    return configdrive2_metadata($conf, $vmid, $uuid_str);
+    return configdrive2_metadata($uuid_str);
 }
 
 sub configdrive2_metadata {
-    my ($conf, $vmid, $uuid) = @_;
-    my ($hostname, $fqdn) = get_hostname_fqdn($conf, $vmid);
-    my $password = $conf->{cipassword};
+    my ($uuid) = @_;
     return <<"EOF";
 {
      "uuid": "$uuid",
-     "hostname": "$hostname",
-     "admin_pass": "$password",
      "network_config": { "content_path": "/content/0000" }
 }
 EOF
@@ -237,7 +232,7 @@
     $network_data = configdrive2_network($conf) if !defined($network_data);
 
     if (!defined($meta_data)) {
-	$meta_data = configdrive2_gen_metadata($user_data, $network_data, $conf, $vmid);
+	$meta_data = configdrive2_gen_metadata($user_data, $network_data);
     }
     my $files = {
 	'/openstack/latest/user_data' => $user_data,
